package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallCompany;
import com.ruoyi.mall.domain.MallCompanyUser;

/**
 * 公司Service接口
 *
 * @author LCL
 * @date 2024-03-12
 */
public interface IMallCompanyService
{
    /**
     * 查询公司
     *
     * @param companyId 公司主键
     * @return 公司
     */
    public MallCompany selectMallCompanyByCompanyId(Long companyId);

    /**
     * 查询公司列表
     *
     * @param mallCompany 公司
     * @return 公司集合
     */
    public List<MallCompany> selectMallCompanyList(MallCompany mallCompany);

    /**
     * 新增公司
     *
     * @param mallCompany 公司
     * @return 结果
     */
    public int insertMallCompany(MallCompany mallCompany);

    /**
     * 修改公司
     *
     * @param mallCompany 公司
     * @return 结果
     */
    public int updateMallCompany(MallCompany mallCompany);

    /**
     * 批量删除公司
     *
     * @param companyIds 需要删除的公司主键集合
     * @return 结果
     */
    public int deleteMallCompanyByCompanyIds(Long[] companyIds);

    /**
     * 删除公司信息
     *
     * @param companyId 公司主键
     * @return 结果
     */
    public int deleteMallCompanyByCompanyId(Long companyId);

    /**
     * 根据公司账号查询公司
     *
     * @param companyAccount 公司账号
     * @return 公司
     */
    public MallCompany selectMallCompanyByCompanyAccount(String companyAccount);

    /**
     * 根据系统用户ID查询公司
     *
     * @param sysUserId 系统用户ID
     * @return 公司
     */
    public MallCompany selectMallCompanyByCompanySysUserId(Long sysUserId);
}
